- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYGeometry Struct Reference

`#include <KEYTypes.h>`

## Public Member Functions
| KEYGeometry ()

## Public Attributes
KEYSize | naturalSize
KEYSize | size
KEYPosition | position
boost::optional< double > | angle
boost::optional< double > | shearXAngle
boost::optional< double > | shearYAngle
boost::optional< bool > | horizontalFlip
boost::optional< bool > | verticalFlip
boost::optional< bool > | aspectRatioLocked
boost::optional< bool > | sizesLocked

## Constructor & Destructor Documentation

libetonyek::KEYGeometry::KEYGeometry | ( |  | ) |

## Member Data Documentation

boost::optional<double> libetonyek::KEYGeometry::angle

Referenced by libetonyek::makeTransformation().

boost::optional<bool> libetonyek::KEYGeometry::aspectRatioLocked

boost::optional<bool> libetonyek::KEYGeometry::horizontalFlip

Referenced by libetonyek::makeTransformation().

KEYSize libetonyek::KEYGeometry::naturalSize

Referenced by libetonyek::makeTransformation().

KEYPosition libetonyek::KEYGeometry::position

Referenced by libetonyek::makeTransformation().

boost::optional<double> libetonyek::KEYGeometry::shearXAngle

Referenced by libetonyek::makeTransformation().

boost::optional<double> libetonyek::KEYGeometry::shearYAngle

Referenced by libetonyek::makeTransformation().

KEYSize libetonyek::KEYGeometry::size

boost::optional<bool> libetonyek::KEYGeometry::sizesLocked

boost::optional<bool> libetonyek::KEYGeometry::verticalFlip

Referenced by libetonyek::makeTransformation().

The documentation for this struct was generated from the following files:

- KEYTypes.h
- KEYTypes.cpp